import React, {Component} from 'react'
import {Redirect, Route, Router, Switch} from 'react-router'
import createBrowserHistory from 'history/createBrowserHistory'
import 'normalize.css'
import './skin/default/skin.css'
import KaraOA from '../kara-oa'
import './layout.css'
import 'karaui/lib/index.css'
import httpAgent from './httpAgent'

export default class Frame extends Component{
  history = createBrowserHistory({
    basename: `/`
  })

  state = {
    language: 'zh',
    token: 'IV85rKfGvE4c7S91shCwiOULC6VoEQhh', // 为了保证 各个组件登录状态统一，httpAgent 直接使用 sessionStorage.token
    karagw: 'https://xin-sandbox.asiainfo.com:16020',
    isSuccess: false,
    clientType: 'web',
    mainHeight: '100%',
    mainTop: '0',
    todoMoreUrl: 'https://xin-sandbox.asiainfo.com:14603/webapps/kara-page/column',
  }


  componentDidMount() {

    const {clientType} = this.state
    const frame = document.getElementById('app')
    frame.className = clientType
    if (clientType === 'web') {
      this.resize({target: window})
      window.addEventListener('resize', this.resize, false)
    }
  }

  resize = (e) => {
    const target = e.target
    const height = target.innerHeight
    const frame = document.getElementById('app')
    if (height >= 900) {
      frame.style.height = '900px'
      frame.style.marginTop = `${(height - 900) / 2}px`
    } else {
      frame.style.height = '100%'
      frame.style.marginTop = '0'
    }
  }

  toggleLanguage = ()=>{
    this.setState({
      language: this.state.language==='zh' ? 'en' : 'zh',
    })
  }

  testFunc = () => {
    this.setState({isSuccess: !this.state.isSuccess})
  }

  render(){
    const {language, token, karagw, isSuccess, todoMoreUrl} = this.state

    return (
      <React.Fragment>
        <Router history={this.history}>
          <div className="kf-body">
          <Switch>
            <Route path="/oa" render={props=>(
              <KaraOA
                {...props}
                language={language} 
                token={token}
                karagw={karagw}
                isSaveSuccess={isSuccess}
                todoMoreUrl={todoMoreUrl}
                httpAgent = {httpAgent('https://xin-sandbox.asiainfo.com:16020/api','v1.0.0')}
                disableAuth={[]}
              />
            )} />
            <Redirect to="/oa" />
          </Switch>
          </div>
        </Router>
      </React.Fragment>
    )
  }
}
