import 'whatwg-fetch'
import Config from '../stores/Config'
import {Tost} from 'karaui'

export default{
  url: '',
  method: 'GET',
  header: {},
  get(url, header={}){
    this.url = Config.karagw + url
    this.method = 'GET'
    this.header = header
    return this
  },
  post(url, header={}){
    this.url = Config.karagw + url
    this.method = 'POST'
    this.header = header
    return this
  },
  end(params, body){
    if(params){
      this.url += this.url.indexOf("?")!==-1 ? "&" : "?"
      this.url += Object.keys(params).map(k=>k+'='+encodeURIComponent(params[k])).join('&')
    }

    return fetch(this.url, {
      method: this.method,
      headers: {
        'Content-Type': 'application/json',
        Authorization: `bearer ${Config.token}`,
        ...this.header,
      },
      body: JSON.stringify(body),
    })
    .then(res=>res.json())
    .then(res=>{
      if(res.error_description){
        Tost({type:'error',msg: res.error_description, time: 1.5})
        return Promise.reject()
      }else if(res.resultCode !== '000000'){
        Tost({type:'error',msg: res.resultMessage, time: 1.5})
        return Promise.reject()
      }else{
        return res
      }
    })
      .catch(e=>{
        Tost({type:'error',msg: 'Please try again later.', time: 1.5})
        return Promise.reject()
      })
  },
}