import React, {Component} from 'react'
import './index.scss'
import Tool from '../Tool'
import Todo from '../Todo'
import Ad from '../Ad'
import Schedule from '../Schedule'
import News from '../News'
import {Scroll} from 'karaui'
import Welcome from '../welcome'
import ServiceTool from '../common/tool/tool'

class KaraOA extends Component {
  state = {
    bannerAD: {
      title: '',
      picUrl: '',
      linkUrl: '',
    },
    indexGuide: 'no', // 引导页
  }

  componentDidMount() {
    this.props.httpAgent.get('/sym/getWebBanner').then(res => {
      if (res && res.resultCode === '000000' && res.result.appADList[0] && res.result.appADList[0].advertisementList) {
        const advertisement = res.result.appADList[0].advertisementList[0]
        this.setState({
          bannerAD: {
            title: advertisement.title,
            picUrl: advertisement.picUrl,
            linkUrl: advertisement.linkUrl,
          }
        })
      }
    })

    // 入口 引导页
    this.props.httpAgent.get('/webapi/user/prefs.get').then(res => {
      const {indexGuide = 'no'} = res
      this.setState({indexGuide})
      if (indexGuide === 'yes') {
        // 展示一次就关闭
        this.props.httpAgent.post('/webapi/user/prefs.set', {indexGuide: 'no'})
      } else if (indexGuide === 'no') {
        //  本地存储已不是新用户
        localStorage.setItem('newUser', "no");
      }
    })
  }

  render() {
    const {history, httpAgent, disableAuth} = this.props
    const {bannerAD, indexGuide} = this.state
    return (
      <div className="KaraOA">
        <Scroll>
          <div className="KaraOAContainer">
            {disableAuth && disableAuth.length > 0 && disableAuth.includes('ad_web.banner') ? null : <a
              style={{backgroundImage: `url(${bannerAD.picUrl})`, marginTop: '10px', cursor: 'pointer'}}
              href={bannerAD.linkUrl}
              target='_blank'
            />}
            <section>
              <Tool {...this.props} />
              <Todo {...this.props} />
              <Ad {...this.props} />
              <News {...this.props} />
            </section>
          </div>
        </Scroll>
        {indexGuide === 'yes' ? <Welcome/> : null}
        <ServiceTool history={history} httpAgent={httpAgent}/>
      </div>
    )
  }
}

export default KaraOA
