/**
 * 加载图片的promise对象封装;
 * @module util/loadImage
 */

const loadImage = imageUrl =>
  new Promise((resolve) => {
    const img = new Image();
    img.onload = () => {
      resolve(img);
    };
    img.onerror = () => {
      resolve(img);
    };
    img.src = `${imageUrl}?${Date.now()}`;
  });

export default loadImage;
