import React, {Component} from 'react'
import {inject, observer} from 'mobx-react'
import ReactDOM from 'react-dom'
import './index.scss'
import Language from '../../../language'

@inject('Config')
@observer
class Pop extends Component{
  stopPropagation = e=>{
    e.nativeEvent.stopImmediatePropagation()
  }

  createChat = (accountId) => {
      console.log(this.props)
      this.props.httpAgent.post(`/webapi/channel/createprivate/${accountId}`).then(res => {
          this.props.history.push(`/chat/${res.channelInfo.id}`)
      })
  }

  render(){
    const LConfig = Language[this.props.Config.language]['Todo']
    const {node, left, top} = this.props
      console.log(this.props)

    return ReactDOM.createPortal(
      <div onClick={this.stopPropagation} className="KaraOAPop s-b-default" style={{left, top}}>
        <div>
          <img src={node.accInfo[0].headIcon} alt="" />
          <button className="s-bg-primary small" onClick={() => this.createChat(node.accInfo[0].accountId)}>{LConfig['POP_BUTTON']}</button>
        </div>
        <div>
          <p className="s-secondary">{LConfig['POP_NAME']}：{node.accInfo[0].accountName}（{node.nodeEmployeeNo}）</p>
          <p className="s-secondary">{LConfig['POP_ORG']}：{node.accInfo[0].dept}</p>
          <p className="s-secondary">{LConfig['POP_TEL']}：{node.accInfo[0].phone}</p>
           {
               node.accInfo[0].email ? (
                   <a className="s-info" href={`mailto: ${node.accInfo[0].email}`}>{LConfig['POP_MAIL']}：{node.accInfo[0].email}</a>
               ) : (
                   <p className="s-info">{LConfig['POP_MAIL']}：</p>
               )
            }
        </div>
      </div>,
      document.getElementById('app')||document.body
    )
  }
}

export default Pop
