import React, {Component} from 'react'
import './index.scss'

class Paging extends Component{
  onChange = pageNo =>{
    if(pageNo !== undefined){
      this.props.onChange(Number(pageNo))
    }
  }

  render(){
    const {no, count} = this.props
    return (
      <div className="Paging">
        {
          Array.from({length: count}).map((page, ii)=>(
              <div  onClick={() => this.onChange(ii)}  key={ii}>
                <i className={ii===no ? 'active' : ''}/>
              </div>
          ))
        }
      </div>
    )
  }
}

export default Paging
