import React from 'react'
import './tool.css'

export default class Tool extends React.Component {

  state = {
    currentUser: '',//用户类型tenantId是普通用户还是安全用户aisec
    channelId: null,
  }


  componentDidMount() {
    //判断当前用户，安全用户不显示客服
    const {httpAgent} = this.props;
    httpAgent.get('/account/getCurrentAccount').then(res => {
      console.log(res)
      if (res && res.data && res.resultCode === '000000') {
        this.setState({
          currentUser: res.data.tenantId,
        })
      }

    })
    httpAgent.get('/imsv/channel/connectToCustomServiceChannel').then(res => {
      console.log('123456',res)
      if (res && res.data && res.resultCode === '000000') {
        this.setState({
          channelId: res.data,
        })
      }

    })
  }

  // 取消去bot
  gotoBot = () => {
    const {history} = this.props
    history.push('/chat/command?command=%E4%BA%BA%E5%B7%A5%E5%AE%A2%E6%9C%8D')
  }

  gotoCustomService = () => {
    const {history} = this.props
    const { channelId } = this.state
    history.push(`chat/${channelId}`)
  }


  render() {
    const {currentUser, channelId} = this.state;

    return (<div className="kf-tool">
      <a
        href={currentUser !== 'aisec' ? "https://itsm.asiainfo.com/customer.pl?Action=CustomerTicketMessage" : "https://itsm.asiainfo.com/customer.pl?Action=CustomerTicketMessage"}
        target="_blank">
        <i className="oa-iconfont oa-service"/>
        <span>信客服</span>
      </a>
      {
        currentUser !== 'aisec' && channelId ? <a onClick={this.gotoCustomService}>
          <i className="oa-iconfont oa-xiaoxi"/>
          <span>在线咨询</span>
        </a> : null

      }
      <a>
        <i className="oa-iconfont oa-phone"/>
        <span>热线</span>
        <em>{currentUser !== 'aisec' ? '010-82166666' : '010-82166666'}</em>
      </a>
    </div>)
  }
}