import React, {Component} from 'react'
import {configure} from 'mobx'
import {Provider} from 'mobx-react'
import Index from './components/Index'
import Config from './stores/Config'
import './assets/css/iconfont/iconfont.css'

configure({
  enforceActions: true,
  isolateGlobalState: true,
})

class KaraOAStore extends Component{
  constructor(props){
    super(props)
    const {token, karagw, language, todoMoreUrl, httpAgent, disableAuth} = this.props
    Config.set(token, karagw, language, todoMoreUrl, httpAgent, disableAuth)
  }

  componentWillReceiveProps(nextProps){
    const {token, karagw, language, isSaveSuccess, todoMoreUrl, disableAuth} = nextProps
    Config.set(token, karagw, language, isSaveSuccess, todoMoreUrl, disableAuth)
  }

  render(){
    return (
      <Provider Config={Config} >
        <Index {...this.props}/>
      </Provider>
    )
  }
}

export default KaraOAStore
